Get Update Status
Returns the current status of a domain update workflow.
Use this endpoint to poll for completion when the PATCH response
returned 202 Accepted. The URL is provided in the links.self
field of the workflow status response.
Poll this endpoint until the workflow reaches a terminal state or a state that requires user attention.
Use increasing backoff between polls. When the workflow remains blocked on a third party, use a longer polling interval and do not poll indefinitely.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Path Parameters
Get Update Status
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/registrar/registrations/$DOMAIN_NAME/update-status \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"completed": false,
"created_at": "2019-12-27T18:11:19.117Z",
"links": {
"self": "/accounts/{account_id}/registrar/registrations/example.com/registration-status",
"resource": "/accounts/{account_id}/registrar/registrations/example.com"
},
"state": "in_progress",
"updated_at": "2019-12-27T18:11:19.117Z",
"context": {
"foo": "bar"
},
"error": {
"code": "registry_rejected",
"message": "Registry rejected the request."
}
},
"success": true
}{
"errors": [
{
"code": 10000,
"message": "No workflow found for example.com"
}
],
"messages": [],
"result": null,
"success": false
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"completed": false,
"created_at": "2019-12-27T18:11:19.117Z",
"links": {
"self": "/accounts/{account_id}/registrar/registrations/example.com/registration-status",
"resource": "/accounts/{account_id}/registrar/registrations/example.com"
},
"state": "in_progress",
"updated_at": "2019-12-27T18:11:19.117Z",
"context": {
"foo": "bar"
},
"error": {
"code": "registry_rejected",
"message": "Registry rejected the request."
}
},
"success": true
}{
"errors": [
{
"code": 10000,
"message": "No workflow found for example.com"
}
],
"messages": [],
"result": null,
"success": false
}